Skip to main content
GET
Retrieve a return

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

returnOrderId
integer
required

Numeric ID of the return to retrieve.

Response

Expected response to a valid request

id
integer<int64>
required

Numeric ID of the return.

createdAt
string<date-time>
required
creditStatus
enum<string>
required
Available options:
uncredited,
partially_recredited,
recredited
customer
object
required
returnLines
object[]
required
sequentialId
integer<int32>
required

Sequential ID of the return.

status
enum<string>
required

Status of the return.

Available options:
requested,
expected,
received,
in_progress,
completed,
cancelled
receivalStatus
enum<string>
Available options:
unreceived,
partially_received,
received
requestedAt
null | string<date-time>
returnMethod
null | object

Return method information

timelineEvents
object[]

Timeline events for this return order

tags
string[]